[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#482174: marked as done (Needs versioned dependency of libxalan)

Your message dated Thu, 10 Nov 2011 00:18:39 +0000
with message-id <E1ROILn-0001sd-OA@franck.debian.org>
and subject line Bug#482174: fixed in xalan 1.10-5
has caused the Debian Bug report #482174,
regarding Needs versioned dependency of libxalan
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

482174: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=482174
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: virtualbox-ose
Version: 1.5.6-dfsg-7
Severity: normal

I'm running lenny ('testing'), but tried to install virtualbox-ose
from unstable.

aptitude install virtualbox-ose/unstable installed libxalan110 from
testing, but this does not work:

	 You will not be able to start VMs until this problem is fixed.
/usr/lib/virtualbox//VBoxSVC: symbol lookup error: /usr/lib/virtualbox/VBoxXML.so: undefined symbol: _ZN11xalanc_1_1016XalanTransformer10initializeERN11xercesc_2_813MemoryManagerE

I installed libxalan110 from unstable, and after that VirtualBox works
fine.  It seems that virtualbox was compiled against unstable's
libxalan (because of #480739), and now needs versioned dependecy to really work.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=fi_FI.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages virtualbox-ose depends on:
ii  adduser                       3.107      add and remove users and groups
ii  debconf [debconf-2.0]         1.5.21     Debian configuration management sy
ii  libc6                         2.7-10     GNU C Library: Shared libraries
ii  libgcc1                       1:4.3.0-3  GCC support library
ii  libgl1-mesa-glx [libgl1]      7.0.3-1    A free implementation of the OpenG
ii  libglib2.0-0                  2.16.3-2   The GLib library of C routines
ii  libidl0                       0.8.10-0.1 library for parsing CORBA IDL file
ii  libqt3-mt                     3:3.3.8b-5 Qt GUI Library (Threaded runtime v
ii  libsdl1.2debian               1.2.13-2   Simple DirectMedia Layer
ii  libstdc++6                    4.3.0-3    The GNU Standard C++ Library v3
ii  libx11-6                      2:1.0.3-7  X11 client-side library
ii  libxalan110                   1.10-3.2   Provides XSLT support for applicat
ii  libxcursor1                   1:1.1.9-1  X cursor management library
ii  libxerces-c28                 2.8.0-1    validating XML parser library for 
ii  libxext6                      2:1.0.4-1  X11 miscellaneous extension librar
ii  libxt6                        1:1.0.5-3  X11 toolkit intrinsics library

Versions of packages virtualbox-ose recommends:
ii  virtualbox-ose-modul 2.6.24+1.5.6-dfsg-6 PC virtualization solution modules

-- debconf information:
  virtualbox-ose/upstream_version_change: false

--- End Message ---
--- Begin Message ---
Source: xalan
Source-Version: 1.10-5

We believe that the bug you reported is fixed in the latest version of
xalan, which is due to be installed in the Debian FTP archive:

  to main/x/xalan/libxalan110-doc_1.10-5_all.deb
  to main/x/xalan/xalan_1.10-5.debian.tar.gz
  to main/x/xalan/xalan_1.10-5.dsc

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 482174@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Jakub Wilk <jwilk@debian.org> (supplier of updated xalan package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA256

Format: 1.8
Date: Thu, 10 Nov 2011 00:58:47 +0100
Source: xalan
Binary: libxalan110 libxalan110-dev libxalan110-doc xalan
Architecture: source all
Version: 1.10-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Jakub Wilk <jwilk@debian.org>
 libxalan110 - Provides XSLT support for applications
 libxalan110-dev - Provides XSLT support for applications [development]
 libxalan110-doc - Provides XSLT support for applications [development docs]
 xalan      - XSLT processor
Closes: 482174 641289
 xalan (1.10-5) unstable; urgency=low
   * QA upload.
   * Add ${misc:Depends}.
   * Add build-arch and build-indep targets.
   * Move doxygen to Build-Depends-Indep. Build documentation only if it's
   * Remove duplicate Section field from debian/control.
   * Bump standards version to 3.9.2 (no changes needed).
   * Bump debhelper compatiblity level to 8.
     + Update Build-Depends.
     + Use dh_prep instead of dh_clean -k.
   * Convert to source format 3.0 (quilt).
     + Add debian/source/format.
     + Split monolithic *.diff.gz into separate patches.
     + Undo the following changes that are no longer needed:
       - use of xalan-config.h;
       - changes related to mod_xslt;
       - files from 1.8 upstream tarball that are no longer present in 1.10
         upstream tarball.
   * Update config.{guess,sub} unconditionally. Actually remove them in the
     clean target.
   * Bump shlibs to >= 1.10-3.3 (closes: #482174). Thanks to Tommi Vainikainen
     and Michael Meskes for the bug report.
   * Improve debian/rules:
     + Remove commented-out commands.
     + Use $(CURDIR) instead of $(shell pwd) in debian/rules.
     + Pass CFLAGS, CXXFLAGS, CPPFLAGS and LDFLAGS (acquired from
       dpkg-buildflags) to the configure script.
     + Pass --build (and --host if cross-compiling) to the configure script.
     + Pass -a to most dh_* commands is binary-arch.
     + Add support for DEB_BUILD_OPTIONS=noopt.
     + Add support for DEB_BUILD_OPTIONS=parallel=n.
     + Remove unused variables.
   * Remove obsolete Conflicts/Replaces.
   * Multi-archify:
     + Bump minimum required version of dpkg-dev to 1.16.
     + Bump minimum required version of debhelper to 8.1.3.
     + Make xalan ‘Multi-Arch: foreign’.
     + Install shared libraries to /usr/lib/$(DEB_HOST_MULTIARCH) rather than
     + Make libxalan110 and libxalan110-dev ‘Multi-Arch: same’.
     + Add ‘Pre-Depends: ${misc:Pre-Depends}’ to libxalan110.
   * Fix FTBFS with ld --as-needed (closes: #641289). Thanks to Matthias Klose
     for the bug report and the patch.
 4cd3ce926f389ff06817291adb85889a3aa10ace 1919 xalan_1.10-5.dsc
 8a50b81ac2bfbe3e7d5a62f8755c1c379ed64376 12138 xalan_1.10-5.debian.tar.gz
 d3bd8fe6264bd13e48405e280e0bdbc856c7981f 5556852 libxalan110-doc_1.10-5_all.deb
 ef54c08008f5144d3329d3bdf85e1c7aed91a363028364a352a204af5d6a9ef7 1919 xalan_1.10-5.dsc
 36eb52e0dc0175202ea3e35a463562870b6ebb01953756a2b78e6f552a9a2cf4 12138 xalan_1.10-5.debian.tar.gz
 08986d07f449acbe3cf56a4cc08b6e936fbb991f5ca085acb2ec732f83276445 5556852 libxalan110-doc_1.10-5_all.deb
 4874d2406deb0a65a79767b80a01eab8 1919 text extra xalan_1.10-5.dsc
 267b6673d192bbca3ab606ce6c355491 12138 text extra xalan_1.10-5.debian.tar.gz
 e18b01f632a430be3cee965e099ff639 5556852 doc extra libxalan110-doc_1.10-5_all.deb

Version: GnuPG v1.4.11 (GNU/Linux)


--- End Message ---

Reply to: